/* ========================================
 *  RightoMono - RightoMono.h
 *  Copyright (c) 2016 airwindows, Airwindows uses the MIT license
 * ======================================== */

#include "RightoMono.h"

#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include <cmath>
namespace airwinconsolidated::RightoMono {

RightoMono::RightoMono()
{
}

int RightoMono::getParameterCount() const
{
  return kNumParameters;
}

void RightoMono::setParameter(int index, float value) {
}

float RightoMono::getParameter(int index) {
	return 0.0; //we only need to update the relevant name, this is simple to manage
}

void RightoMono::getParameterName(int index, char *text) {
}

void RightoMono::getParameterDisplay(int index, char *text) {
}

void RightoMono::getParameterLabel(int index, char *text) {
}




} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS
